Permalink
Browse files

Require `fbjs/lib/invariant` instead of `invariant`

Summary: `'invariant'` can only be resolved by chance if node modules have been installed with npm3 or yarn, as it is a transitive dependency of `babel-traverse`. This changes the import to the direct dependency `fbjs/lib/invariant`.

Reviewed By: jeanlauliac, astreet

Differential Revision: D4462471

fbshipit-source-id: 5c841845012ed22a7c6264d46326a47807948513
  • Loading branch information...
davidaurelio authored and facebook-github-bot committed Jan 25, 2017
1 parent 25fba55 commit 517abba6bbaa68dd1d654111fbbce7e65fc943a7
Showing with 1 addition and 1 deletion.
  1. +1 −1 Libraries/Components/View/View.js
@@ -21,7 +21,7 @@ const ReactNativeViewAttributes = require('ReactNativeViewAttributes');
const StyleSheetPropType = require('StyleSheetPropType');
const ViewStylePropTypes = require('ViewStylePropTypes');
const invariant = require('invariant');
const invariant = require('fbjs/lib/invariant');
var TVViewPropTypes = {};
if (Platform.isTVOS) {

0 comments on commit 517abba

Please sign in to comment.